| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Public Types | List of all members
stan::math::value_type< const T > Struct Template Reference

Template class for metaprogram to compute the type of values stored in a constant container. More...

`#include <value_type.hpp>`

## Public Types
typedef value_type< T >::type | type

## Detailed Description

### template<typename T>
struct stan::math::value_type< const T >

Template class for metaprogram to compute the type of values stored in a constant container.

Template Parameters

  T | type of container without const modifier.

Definition at line 32 of file value_type.hpp.

## Member Typedef Documentation

template<typename T >

typedef value_type<T>::type stan::math::value_type< const T >::type

Definition at line 33 of file value_type.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/scal/meta/value_type.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.